#
# spec file for package ipa-fonts
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ipa-fonts
Version:        003.03
Release:        8.15
Summary:        Japanese TrueType Font Made by IPA
License:        IPA
Group:          System/X11/Fonts
Url:            http://ossipedia.ipa.go.jp/ipafont/
Source0:        IPAfont00303.tar.bz2
BuildRequires:  dos2unix
BuildRequires:  fontpackages-devel
%reconfigure_fonts_prereq
Provides:       scalable-font-ja
Provides:       locale(ja)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Japanese TrueType font made by IPA
(Information-technology Promotion Agency).

%package -n ipa-pgothic-fonts
Summary:        "Proportional Gothic" Japanese TrueType Font Made by IPA
Group:          System/X11/Fonts
%reconfigure_fonts_prereq
Provides:       IPAPGothic = %{version}
Provides:       scalable-font-ja
Provides:       locale(ja)
Obsoletes:      IPAPGothic <= 003.02

%description -n ipa-pgothic-fonts
"Proportional Gothic" Japanese TrueType font made by IPA
(Information-technology Promotion Agency).

%package -n ipa-gothic-fonts
Summary:        "Gothic" Japanese TrueType Font Made by IPA
Group:          System/X11/Fonts
%reconfigure_fonts_prereq
Provides:       IPAGothic = %{version}
Provides:       scalable-font-ja
Provides:       locale(ja)
Obsoletes:      IPAGothic <= 003.02

%description -n ipa-gothic-fonts
"Gothic" Japanese TrueType font made by IPA (Information-technology
Promotion Agency).

%package -n ipa-mincho-fonts
Summary:        "Mincho" Japanese TrueType Font Made by IPA
Group:          System/X11/Fonts
%reconfigure_fonts_prereq
Provides:       IPAMincho = %{version}
Provides:       scalable-font-ja
Provides:       locale(ja)
Obsoletes:      IPAMincho <= 003.02

%description -n ipa-mincho-fonts
"Mincho" Japanese TrueType font made by IPA (Information-technology
Promotion Agency).

%package -n ipa-pmincho-fonts
Summary:        "Proportional Mincho" Japanese TrueType Font Made by IPA
Group:          System/X11/Fonts
%reconfigure_fonts_prereq
Provides:       IPAPMincho = %{version}
Provides:       scalable-font-ja
Provides:       locale(ja)
Obsoletes:      IPAPMincho <= 003.02

%description -n ipa-pmincho-fonts
"Proportional Mincho" Japanese TrueType font made by IPA
(Information-technology Promotion Agency).

%prep
%setup -q -n IPAfont00303

%build
for i in *.txt
do
    dos2unix $i
done

%install
mkdir -p %{buildroot}%{_ttfontsdir}
for i in *.ttf
do
    install -m 644 $i %{buildroot}%{_ttfontsdir}
done

%reconfigure_fonts_scriptlets -c -n ipa-pgothic-fonts

%reconfigure_fonts_scriptlets -c -n ipa-gothic-fonts

%reconfigure_fonts_scriptlets -c -n ipa-mincho-fonts

%reconfigure_fonts_scriptlets -c -n ipa-pmincho-fonts

%files -n ipa-pgothic-fonts
%defattr(-,root,root)
%doc *.txt
%dir %{_ttfontsdir}/
%{_ttfontsdir}/ipagp.*

%files -n ipa-gothic-fonts
%defattr(-,root,root)
%doc *.txt
%dir %{_ttfontsdir}/
%{_ttfontsdir}/ipag.*

%files -n ipa-mincho-fonts
%defattr(-,root,root)
%doc *.txt
%dir %{_ttfontsdir}/
%{_ttfontsdir}/ipam.*

%files -n ipa-pmincho-fonts
%defattr(-,root,root)
%doc *.txt
%dir %{_ttfontsdir}/
%{_ttfontsdir}/ipamp.*

%changelog
* Sun Sep 11 2016 ftake@geeko.jp
- add %%reconfigure_fonts_prereq to each sub-package (boo#976921)
* Sat Sep  1 2012 ftake@geeko.jp
- updated to version 003.02
  * glyphs of 55 characters are updated for the new daily-use
  characters table
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Tue Jun 12 2012 tiwai@suse.de
- Drop ipsa-hinting.conf since the default config is included in
  fontconfig package itself
* Mon Jun 11 2012 tiwai@suse.de
- Fix ipa-hinting.conf priority from 21 to 51 for avoiding the
  override by suse-hinting.conf (bnc#766319)
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Thu Mar 29 2012 pgajdos@suse.com
- IPA license
* Wed Dec 21 2011 tiwai@suse.de
- Renamed IPAPGothic -> ipa-pgothic-fonts,
  IPAGothic -> ipa-gohtic-fonts, IPAMincho -> ipa-mincho-fonts,
  and IPAPMincho -> ipa-pmincho-fonts according to
  openSUSE packaging guidelines and FATE#313035
  Adjusted Obsoletes and Provides accordingly
- Add prereq macro
* Fri Dec  2 2011 coolo@suse.com
- move common files into a sub package to avoid files packaged twice
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Wed Jul 28 2010 tiwai@suse.de
- Use hintnone as default hintstyle
* Fri Jul 23 2010 tiwai@suse.de
- removed ipa-globaladvance-fix.conf; this looks no longer needed
* Fri Jul 23 2010 tiwai@suse.de
- updated to version 003.02:
  Added bitmap fonts, changed em unit from 1000 to 2048,
  added 4 OTF glyphs, a few glyph fixes
* Thu Apr  8 2010 tiwai@suse.de
- removed unneeded buildrequires for too old distros
* Mon Jun 29 2009 tiwai@suse.de
- Use OTF (as conversion to TTF can be a license problem);
  Set globaladvance to false for IPA fonts in fonts configuration
  instead as a workaround for Qt3.
* Mon Jun 22 2009 tiwai@suse.de
- convert to TTF fonts via fontforge (workaround for Qt3 problems)
* Thu May 14 2009 tiwai@suse.de
- updated to 003.01:
  * This version contains the fonts licensed under OSI-compatible
    "IPA Font License v1.0".
  * Now OpenType fonts
  * Based on JIS X 0213:2004
  * No UIGothic is included
* Thu Apr  3 2008 mfabian@suse.de
- bnc#374441: add *inofficial* English translation of the license.
* Thu Mar  6 2008 mfabian@suse.de
- update to 002.003. From the release notes
  http://ossipedia.ipa.go.jp/ipafont/releasenote.html:
  • fixed width flag set to “no” for IPAPGothic (ipagp.ttf),
  IPAPMincho (ipamp.ttf), and IPAUIGothic (ipagui.ttf).
  See also bnc359984. In Qt4 the problems have already been
  fixed by ignoring the “global advance width” when loading the
  font using freetype2, but in many other applications
  e.g. Qt3, these fonts were still handled as fixed width.
  • Glyphs for the following characters have been added:
  U+2014 EM DASH, U+2016 DOUBLE VERTICAL LINE, U+203E OVERLINE,
  U+00AC NOT SIGN, U+00A5 YEN SIGN, U+00A2 CENT SIGN,
  U+00A3 POUND SIGN.
* Wed Jan 23 2008 ro@suse.de
- remove dependency on grass.
* Wed Jan  9 2008 mfabian@suse.de
- update to 002.001
  * now supports JIS X 0213:2004 (needed for bug #343820)
  * new, better license
- remove dependency on grass.
* Tue Aug  8 2006 mfabian@suse.de
- move fonts to /usr/share/fonts because of the move to Xorg X11R7.
- use "run_suseconfig_fonts -c" macro.
- cleanup .spec file
* Tue Feb 28 2006 mfabian@suse.de
- add "Provides: locale(ja)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov 10 2005 ro@suse.de
- use mesa-devel-packages in nfb
* Fri Oct 28 2005 adrian@suse.de
- make font packages noarch
* Mon Jun 13 2005 ro@suse.de
- do not redefine fgets
* Thu May 12 2005 meissner@suse.de
- fixed all critical warnings, buffer overflows and lots
  of implicit warnings.
* Wed May 11 2005 meissner@suse.de
- gcc4 fixes.
* Mon Mar 21 2005 mfabian@suse.de
- Bugzilla #72784: "grass does not start from the KDE menu":
  fix program name in grass.desktop.
* Fri Feb 25 2005 mfabian@suse.de
- make IPA fonts require grass, not vice versa
  (because of the license of the IPA fonts).
* Thu Nov 18 2004 ro@suse.de
- use kerberos-devel-packages
* Mon Nov 15 2004 ro@suse.de
- fix last change ...
* Thu Nov 11 2004 ro@suse.de
- fixed file list (needs revisiting)
* Tue Sep 14 2004 mfabian@suse.de
- use correct version numbers for font sub-packages.
* Mon Sep 13 2004 mfabian@suse.de
- new package: grass 5.0.3 (i18n version).
